import 'dart:convert';

class CountsByDayData {
  final Map<int, double> data;

  const CountsByDayData({
    required this.data,
  });

  factory CountsByDayData.fromJson(Map<String, dynamic> json) {
    Map<int, double> data = {};

    if (json['counts-by-day'] != null) {
      json['counts-by-day'].keys.forEach((day) {
        data[int.parse(day)] = double.parse(json['counts-by-day'][day].toString());
      });
    }

    return CountsByDayData(data: data);
  }

  factory CountsByDayData.createEmpty() {
    return CountsByDayData.fromJson({});
  }

  String toString() {
    Map<String, double> map = {};

    this.data.keys.forEach((day) {
      double? value = this.data[day];
      map[day.toString()] = value != null ? value.toDouble() : 0.0;
    });

    return jsonEncode({'counts-by-day': map});
  }
}
